Name:		ocrad
Version:	0.29
Release:	%mkrel 2
Summary:	Optical Character Recognition
License:	GPLv3+
Group:		Publishing
URL:		https://www.gnu.org/software/ocrad/ocrad.html
Source0:	https://ftp.gnu.org/gnu/ocrad/%{name}-%{version}.tar.lz
Patch0:		ocrad-0.25-nostatic.patch

BuildRequires:	lzip
BuildRequires:	pkgconfig(libpng)

%description
Ocrad is an OCR (Optical Character Recognition) program implemented
as a filter and based on a feature extraction method. It reads a
bitmap image in PBM format and outputs text in the ISO-8859-1
(Latin-1) charset. It includes a layout analyser that is able to
separate the columns or blocks of text normally found on printed
pages. Ocrad can be used as a stand-alone console application, or as
a backend to other programs.

%prep
%autosetup -p1

%build
%configure
%make_build CXXFLAGS="%{optflags}"

%install
%make_install

%check
%__make check

%files
%license COPYING
%doc README NEWS ChangeLog
%_bindir/%{name}
%_infodir/%{name}.info.*
%_mandir/man1/%{name}.1.*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.29-2.mga10
+ Revision: 2222187
- Mageia 10 Mass Rebuild

* Thu Apr 18 2024 daviddavid <daviddavid> 0.29-1.mga10
+ Revision: 2058815
- new version: 0.29
- remove unneeded devel sub-pkg

* Mon Mar 14 2022 umeabot <umeabot> 0.21-4.mga9
+ Revision: 1791009
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 0.21-3.mga8
+ Revision: 1489029
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Mon Sep 03 2018 tv <tv> 0.21-2.mga7
+ Revision: 1256798
- rely on filetriggers for info system (mga#23482)
+ yann <yann>
- clean spec file: duplicate macro, use of %%configure2_5, file list
  more precise.
- clean spec file after import.
- imported package ocrad


* Wed Mar 16 2011 Stéphane Téletchéa <steletch@mandriva.org> 0.21-1mdv2011.0
+ Revision: 645353
- update to new version 0.21

* Tue Jul 20 2010 Funda Wang <fwang@mandriva.org> 0.20-1mdv2011.0
+ Revision: 555065
- update to new version 0.20

* Fri Jan 29 2010 Funda Wang <fwang@mandriva.org> 0.19-1mdv2010.1
+ Revision: 497883
- New version 0.19

* Mon May 11 2009 Funda Wang <fwang@mandriva.org> 0.18-1mdv2010.0
+ Revision: 374118
- New version 0.18

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.17-1mdv2008.1
+ Revision: 136634
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Jul 07 2007 Austin Acton <austin@mandriva.org> 0.17-1mdv2008.0
+ Revision: 49287
- new version
- enforce build flags


* Wed Oct 25 2006 Lenny Cartier <lenny@mandriva.com> 0.16-1mdv2007.0
+ Revision: 72336
- Import ocrad

